Subject: Re: bug#21972: 24.5; Running 'bash -i -c' via shell-command hangs on FreeBSD

From: Davor Cubranic <[email-masked]>
Date: Wed, 16 Oct 2019 21:47:24 -0700

I should have mentioned this in the report, but I believe this was, at 
the time I filed it, a minimal example reproducing why using package 
"exec-path-from-shell" [1] on FreeBSD caused Emacs to hang. (I had used 
it on Mac, and then ran into the bug when I copied my .emacsrc to a new 
FreeBSD machine.)

You can blame the package, or bash, or me for passing "-i" argument to 
bash, but to me it looked like it was Emacs that was doing something 
funny to the subprocess being executed to cause it to lock up -- and to 
do this only on FreeBSD.

I can't reproduce this now because I don't use FreeBSD any more, and as 
Eli said in the four years since the bug was filed both Emacs and Bash 
have moved on, so feel free to close the report.

[1]: https://github.com/purcell/exec-path-from-shell

Davor

On Mon, 14 Oct, 2019 at 1:50 PM, Stefan Kangas <[email-masked]> 
wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
>>  > If bash hangs, shouldn't that be reported as a bug in bash 
>> instead?
>> 
>>  It's possible that your Bash is newer, and this bug was fixed since
>>  then.
> 
> True.
> 
>>  In general, it sounds like Bash tries to read from its stdin, and in
>>  call-process that is... what?  By contrast, by default we 
>> communicate
>>  with async subprocess via PTYs (on Posix hosts), which is what Bash
>>  expects in an interactive session.
>> 
>>  IOW, I cannot understand why would someone call "bash -i" in a
>>  non-interactive command.
> 
> Indeed.
> 
>>  > Or should Emacs somehow do better with a hanging process?
>> 
>>  Like what?
> 
> No idea, that's why I'm asking.  But if you don't know either, then I
> guess that means that there is nothing to do here; and this is not a
> bug in Emacs.
> 
> Best regards,
> Stefan Kangas